summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNirbheek Chauhan <nirbheek.chauhan@gmail.com>2009-12-27 10:22:49 +0530
committerNirbheek Chauhan <nirbheek.chauhan@gmail.com>2009-12-27 10:22:49 +0530
commit3c0ad5cf3643504e4717c5bb5ac6a3db5f00ad15 (patch)
tree1c07ad9864d7116ad1492ef9d4b214fc903a3b62
parentcd8883e505e9631dbc24927e9834b29e92ee763f (diff)
Add gnome-extra/hamster-applet-9999
* Fixes bug 296503
-rw-r--r--gnome-extra/hamster-applet/Manifest1
-rw-r--r--gnome-extra/hamster-applet/hamster-applet-9999.ebuild53
-rw-r--r--profiles/package.mask1
3 files changed, 55 insertions, 0 deletions
diff --git a/gnome-extra/hamster-applet/Manifest b/gnome-extra/hamster-applet/Manifest
new file mode 100644
index 0000000..7e54cc5
--- /dev/null
+++ b/gnome-extra/hamster-applet/Manifest
@@ -0,0 +1 @@
+EBUILD hamster-applet-9999.ebuild 1331 RMD160 e0dd5f3feb414fd0bfae1c6665b6c78b0390147d SHA1 fffbe638f3c9728d7b043821766d1bf687d0d900 SHA256 21a043eaf571d519319e72d9f9987720b428b1ff587c1ba0fb25acb3fa80d1aa
diff --git a/gnome-extra/hamster-applet/hamster-applet-9999.ebuild b/gnome-extra/hamster-applet/hamster-applet-9999.ebuild
new file mode 100644
index 0000000..dafbbe1
--- /dev/null
+++ b/gnome-extra/hamster-applet/hamster-applet-9999.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/gnome-extra/hamster-applet/hamster-applet-2.28.2.ebuild,v 1.1 2009/12/17 23:06:32 eva Exp $
+
+EAPI="2"
+GCONF_DEBUG="no"
+SCROLLKEEPER_UPDATE="no"
+
+inherit gnome2 python gnome2-live
+
+DESCRIPTION="Time tracking for the masses, in a GNOME applet"
+HOMEPAGE="http://projecthamster.wordpress.com/"
+
+# license on homepage is out-of-date, was changed to GPL-2 on 2008-04-16
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="eds libnotify"
+
+RDEPEND=">=dev-lang/python-2.4
+ || (
+ >=dev-lang/python-2.5[sqlite]
+ dev-python/pysqlite:2 )
+ dev-python/gconf-python
+ dev-python/libgnome-python
+ dev-python/gnome-applets-python
+ dev-python/dbus-python
+ eds? ( dev-python/evolution-python )
+ libnotify? ( dev-python/notify-python )
+ >=dev-python/pygobject-2.14
+ >=dev-python/pygtk-2.12
+ >=x11-libs/gtk+-2.12
+ x11-libs/libXScrnSaver"
+
+DEPEND="${RDEPEND}
+ x11-proto/scrnsaverproto
+ >=dev-util/intltool-0.40
+ dev-util/pkgconfig
+ sys-devel/gettext"
+
+DOCS="AUTHORS ChangeLog NEWS README"
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ python_need_rebuild
+ python_mod_optimize $(python_get_sitedir)/hamster
+}
+
+pkg_postrm() {
+ gnome2_pkg_postrm
+ python_mod_cleanup /usr/$(get_libdir)/python*/site-packages/hamster
+}
diff --git a/profiles/package.mask b/profiles/package.mask
index 723ec14..4c4dcc3 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -4,6 +4,7 @@
# Please append to the top of this list as ebuilds are added
+=gnome-extra/hamster-applet-9999
=x11-wm/metacity-9999
=net-misc/networkmanager-9999
=x11-themes/gtk-engines-murrine-9999